Subject: bug#22295: viper-mode undo bug introduced between Nov 10 and Nov 14

From: Eli Zaretskii <[email-masked]>
Date: Fri, 20 May 2016 16:32:07 +0300

> From: [email-masked] (Phillip Lord)
> Cc: Jim Meyering <[email-masked]>,  [email-masked],  [email-masked]
> Date: Fri, 20 May 2016 12:46:14 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > FWIW, I think this should go to emacs-25, since (a) the changes affect
> > only viper-mode, and (b) users of that mode will be most unhappy
> > without these changes.
> 
> Not quite true. I've changed simple.el.

I've seen the change, of course.  As long as only viper-mode uses that
variable, I see no danger.

> > However, we should add comments to viper-cmd.el that document the
> > special handling of 'undo' by viper-mode, and how that interacts with
> > the core 'undo' functionalities.  We should also comment in simple.el
> > that undo-auto-disable-boundaries is used by viper-mode, and document
> > that variable in the ELisp manual.  Phillip, can you add these bits to
> > the branch, please?
> 
> Oh, yeah, sorry forgot the manual. I updated most of the rest last
> night. I think that the branch is ready, bar squashing.

Thanks.

John, we are waiting for your verdict.